#ifndef AFFICHERRAYON_H
#define AFFICHERRAYON_H
#include "rayon.h"
#include "arduino.h"
#include <QMainWindow>
#include "QSystemTrayIcon"
namespace Ui {
class afficherrayon;
}

class afficherrayon : public QMainWindow
{
    Q_OBJECT

public:
    explicit afficherrayon(QWidget *parent = nullptr);
    ~afficherrayon();

private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
    void update_label();

private:
    Ui::afficherrayon *ui;
    rayon *tmprayon;
    QByteArray data;
    QByteArray data1;// variable contenant les données reçues
            QString serial;
            Arduino A;
            QSystemTrayIcon *notifier;
};

#endif // AFFICHERRAYON_H
